[UserMenu]
1=Abs()|Abs()+m
2=Abs()|Abs()+m
3=ArrayAppend()|ArrayAppend()+m
4=ArrayAvg()|ArrayAvg()+m
5=ArrayClear()|ArrayClear()+m
6=ArrayDeleteAt()|ArrayDeleteAt()+m
7=ArrayInsertAt()|ArrayInsertAt()+m
8=ArrayIsEmpty()|ArrayIsEmpty()+m
9=ArrayLen()|ArrayLen()+m
10=ArrayMax()|ArrayMax()+m
11=ArrayMin()|ArrayMin()+m
12=ArrayNew()|ArrayNew()+m
13=ArrayPrepend()|ArrayPrepend()+m
14=ArrayResize()|ArrayResize()+m
15=ArraySet()|ArraySet()+m
16=ArraySort()|ArraySort()+m
17=ArraySum()|ArraySum()+m
18=ArraySwap()|ArraySwap()+m
19=ArrayToList()|ArrayToList()+m
20=Asc()|Asc()+m
21=ASin()|ASin()+m
22=Atn()|Atn()+m
23=AuthenticatedContext()|AuthenticatedContext()+m
24=AuthenticatedUser()|AuthenticatedUser()+m
25=BitAnd()|BitAnd()+m
26=BitMaskClear()|BitMaskClear()+m
27=BitMaskRead()|BitMaskRead()+m
28=BitMaskSet()|BitMaskSet()+m
29=BitNot()|BitNot()+m
30=BitOr()|BitOr()+m
31=BitSHLN()|BitSHLN()+m
32=BitSHRN()|BitSHRN()+m
33=BitXor()|BitXor()+m
34=Ceiling()|Ceiling()+m
35=Chr()|Chr()+m
36=CJustify()|CJustify()+m
37=Compare()|Compare()+m
38=CompareNoCase()|CompareNoCase()+m
39=Cos()|Cos()+m
40=CreateDate()|CreateDate()+m
41=CreateDateTime()|CreateDateTime()+m
42=CreateObject()|CreateObject()+m
43=CreateODBCDate()|CreateODBCDate()+m
44=CreateODBCDateTime()|CreateODBCDateTime()+m
45=CreateODBCTime()|CreateODBCTime()+m
46=CreateTime()|CreateTime()+m
47=CreateTimeSpan()|CreateTimeSpan()+m
48=CreateUUID()|CreateUUID()+m
49=DateAdd()|DateAdd()+m
50=DateCompare()|DateCompare()+m
51=DateConvert()|DateConvert()+m
52=DateDiff()|DateDiff()+m
53=DateFormat()|DateFormat()+m
54=DatePart()|DatePart()+m
55=Day()|Day()+m
56=DayOfWeek()|DayOfWeek()+m
57=DayOfWeekAsString()|DayOfWeekAsString()+m
58=DayOfYear()|DayOfYear()+m
59=DaysInMonth()|DaysInMonth()+m
60=DaysInYear()|DaysInYear()+m
61=DE (Delay Evaluation)()|DE (Delay Evaluation)()+m
62=DecimalFormat()|DecimalFormat()+m
63=DecrementValue()|DecrementValue()+m
64=Decrypt()|Decrypt()+m
65=DeleteClientVariable()|DeleteClientVariable()+m
66=DirectoryExists()|DirectoryExists()+m
67=DollarFormat()|DollarFormat()+m
68=Duplicate()|Duplicate()+m
69=Encrypt()|Encrypt()+m
70=Evaluate()|Evaluate()+m
71=Exp()|Exp()+m
72=ExpandPath()|ExpandPath()+m
73=FileExists()|FileExists()+m
74=Find()|Find()+m
75=FindNoCase()|FindNoCase()+m
76=FindOneOf()|FindOneOf()+m
77=FirstDayOfMonth()|FirstDayOfMonth()+m
78=Fix()|Fix()+m
79=FormatBaseN()|FormatBaseN()+m
80=GetBaseTagData()|GetBaseTagData()+m
81=GetBaseTagList()|GetBaseTagList()+m
82=GetBaseTemplatePath()|GetBaseTemplatePath()+m
83=GetClientVariablesList()|GetClientVariablesList()+m
84=GetCurrentTemplatePath()|GetCurrentTemplatePath()+m
85=GetDirectoryFromPath()|GetDirectoryFromPath()+m
86=GetException()|GetException()+m
87=GetFileFromPath()|GetFileFromPath()+m
88=GetFunctionList()|GetFunctionList()+m
89=GetHttpRequestData()|GetHttpRequestData()+m
90=GetHttpTimeString()|GetHttpTimeString()+m
91=GetMetricData()|GetMetricData()+m
92=GetProfileString()|GetProfileString()+m
93=GetTempDirectory()|GetTempDirectory()+m
94=GetTempFile()|GetTempFile()+m
95=GetTemplatePath()|GetTemplatePath()+m
96=GetTickCount()|GetTickCount()+m
97=GetTimeZoneInfo()|GetTimeZoneInfo()+m
98=GetToken()|GetToken()+m
99=Hash()|Hash()+m
100=Hour()|Hour()+m
101=HTMLCodeFormat()|HTMLCodeFormat()+m
102=HTMLEditFormat()|HTMLEditFormat()+m
103=IIf()|IIf()+m
104=IncrementValue()|IncrementValue()+m
105=InputBaseN()|InputBaseN()+m
106=Insert()|Insert()+m
107=Int()|Int()+m
108=IsArray()|IsArray()+m
109=IsAuthenticated()|IsAuthenticated()+m
110=IsAuthorized()|IsAuthorized()+m
111=IsBinary()|IsBinary()+m
112=IsBoolean()|IsBoolean()+m
113=IsCustomFunction()|IsCustomFunction()+m
114=IsDate()|IsDate()+m
115=IsDebugMode()|IsDebugMode()+m
116=IsDefined()|IsDefined()+m
117=IsLeapYear()|IsLeapYear()+m
118=IsNumeric()|IsNumeric()+m
119=IsNumericDate()|IsNumericDate()+m
120=IsProtected()|IsProtected()+m
121=IsQuery()|IsQuery()+m
122=IsSimpleValue()|IsSimpleValue()+m
123=IsStruct()|IsStruct()+m
124=IsWDDX()|IsWDDX()+m
125=JavaCast()|JavaCast()+m
126=JSStringFormat()|JSStringFormat()+m
127=LCase()|LCase()+m
128=Left()|Left()+m
129=Len()|Len()+m
130=ListAppend()|ListAppend()+m
131=ListChangeDelims()|ListChangeDelims()+m
132=ListContains()|ListContains()+m
133=ListContainsNoCase()|ListContainsNoCase()+m
134=ListDeleteAt()|ListDeleteAt()+m
135=ListFind()|ListFind()+m
136=ListFindNoCase()|ListFindNoCase()+m
137=ListFirst()|ListFirst()+m
138=ListGetAt()|ListGetAt()+m
139=ListInsertAt()|ListInsertAt()+m
140=ListLast()|ListLast()+m
141=ListLen()|ListLen()+m
142=ListPrepend()|ListPrepend()+m
143=ListQualify()|ListQualify()+m
144=ListRest()|ListRest()+m
145=ListSetAt()|ListSetAt()+m
146=ListSort()|ListSort()+m
147=ListToArray()|ListToArray()+m
148=ListValueCount()|ListValueCount()+m
149=ListValueCountNoCase()|ListValueCountNoCase()+m
150=LJustify()|LJustify()+m
151=Log()|Log()+m
152=Log10()|Log10()+m
153=LSCurrencyFormat()|LSCurrencyFormat()+m
154=LSDateFormat()|LSDateFormat()+m
155=LSEuroCurrencyFormat()|LSEuroCurrencyFormat()+m
156=LSIsCurrency()|LSIsCurrency()+m
157=LSIsDate()|LSIsDate()+m
158=LSIsNumeric()|LSIsNumeric()+m
159=LSNumberFormat()|LSNumberFormat()+m
160=LSParseCurrency()|LSParseCurrency()+m
161=LSParseDateTime()|LSParseDateTime()+m
162=LSParseEuroCurrency()|LSParseEuroCurrency()+m
163=LSParseNumber()|LSParseNumber()+m
164=LSTimeFormat()|LSTimeFormat()+m
165=LTrim()|LTrim()+m
166=Max()|Max()+m
167=Mid()|Mid()+m
168=Min()|Min()+m
169=Minute()|Minute()+m
170=Month()|Month()+m
171=MonthAsString()|MonthAsString()+m
172=Now()|Now()+m
173=NumberFormat()|NumberFormat()+m
174=ParagraphFormat()|ParagraphFormat()+m
175=ParameterExists()|ParameterExists()+m
176=ParseDateTime()|ParseDateTime()+m
177=Pi()|Pi()+m
178=PreserveSingleQuotes()|PreserveSingleQuotes()+m
179=Quarter()|Quarter()+m
180=QueryAddColumn()|QueryAddColumn()+m
181=QueryAddRow()|QueryAddRow()+m
182=QueryNew()|QueryNew()+m
183=QuerySetCell()|QuerySetCell()+m
184=QuotedValueList()|QuotedValueList()+m
185=Rand()|Rand()+m
186=Randomize()|Randomize()+m
187=RandRange()|RandRange()+m
188=REFind()|REFind()+m
189=REFindNoCase()|REFindNoCase()+m
190=RemoveChars()|RemoveChars()+m
191=RepeatString()|RepeatString()+m
192=Replace()|Replace()+m
193=ReplaceList()|ReplaceList()+m
194=ReplaceNoCase()|ReplaceNoCase()+m
195=REReplace()|REReplace()+m
196=REReplaceNoCase()|REReplaceNoCase()+m
197=Reverse()|Reverse()+m
198=Right()|Right()+m
199=RJustify()|RJustify()+m
200=Round()|Round()+m
201=RTrim()|RTrim()+m
202=Second()|Second()+m
203=SetLocale()|SetLocale()+m
204=SetProfileString()|SetProfileString()+m
205=SetVariable()|SetVariable()+m
206=Sgn()|Sgn()+m
207=Sin()|Sin()+m
208=SpanExcluding()|SpanExcluding()+m
209=SpanIncluding()|SpanIncluding()+m
210=Sqr()|Sqr()+m
211=StripCR()|StripCR()+m
212=StructAppend()|StructAppend()+m
213=StructClear()|StructClear()+m
214=StructCopy()|StructCopy()+m
215=StructCount()|StructCount()+m
216=StructDelete()|StructDelete()+m
217=StructFind()|StructFind()+m
218=StructFindKey()|StructFindKey()+m
219=StructFindValue()|StructFindValue()+m
220=StructGet()|StructGet()+m
221=StructInsert()|StructInsert()+m
222=StructIsEmpty()|StructIsEmpty()+m
223=StructKeyArray()|StructKeyArray()+m
224=StructKeyExists()|StructKeyExists()+m
225=StructKeyList()|StructKeyList()+m
226=StructNew()|StructNew()+m
227=StructSort()|StructSort()+m
228=StructUpdate()|StructUpdate()+m
229=Tan()|Tan()+m
230=TimeFormat()|TimeFormat()+m
231=ToBase64()|ToBase64()+m
232=ToBinary()|ToBinary()+m
233=ToString()|ToString()+m
234=Trim()|Trim()+m
235=UCase()|UCase()+m
236=URLDecode()|URLDecode()+m
237=URLEncodedFormat()|URLEncodedFormat()+m
238=Val()|Val()+m
239=ValueList()|ValueList()+m
240=Week()|Week()+m
241=WriteOutput()|WriteOutput()+m
242=XMLFormat()|XMLFormat()+m
243=Year()|Year()+m
244=YesNoFormat()|YesNoFormat()+m

[Comment]
1=*************************************************************
2= <b>Syntax:</b> CFScript                                     
3= <b>Author:</b> Rickard Johansson                            
4= <b>Version:</b> 1.0                                         
5= <b>Date:</b> 2006-12-08                                     
6=                                                             
7= <b>Recommended colors:</b>                                  
8= This syntax definition is included with the main program    
9= installation. So the recommended colors are already set     
10= after the program is installed.                             
11=*************************************************************

[MultiHighlight]
Syntax=
File=

[Sample]
1=   for(Loop=1;
2=
3=     Loop LT 10;
4=     Loop = Loop + 1)
5=     a[loop]=loop;
6=
7=
8=   // Complete for loop in a single line.
9=   for(loop=1; loop LT 10; loop=loop+1)a[loop]=loop;
10=
11=   // Use braces to indicate multiple statements to loop over
12=   for( ; ; )
13=   {
14=     indx=indx+1;
15=     if(Find("key",strings[indx],1))
16=       break;
17=   }
18=
19=
20=
21=
22=

